blowfish

[1.5.x] B9 Aerospace | Release 6.5.2 (December 14 2018)

Recommended Posts

24 minutes ago, Greystripe3 said:

Hello,

I kinda miss when the turbofan engines and their pylons were separate parts. Why was this changed?

If they're always used with the engines, why have to go find another part?  But I have heard from a few people that they use the pylons for things other than the engines.  Is that the case for you?

Share this post


Link to post
Share on other sites
14 minutes ago, blowfish said:

If they're always used with the engines, why have to go find another part?  But I have heard from a few people that they use the pylons for things other than the engines.  Is that the case for you?

Yes, I like to use the pylons with other bits to make a double engine pod like on the Boeing B-52. I also use them as mount points for fuel tanks or weapons. 

Share this post


Link to post
Share on other sites
6 minutes ago, Greystripe3 said:

Yes, I like to use the pylons with other bits to make a double engine pod like on the Boeing B-52. I also use them as mount points for fuel tanks or weapons. 

I could look into adding them back in as separate parts.  Just because they're integrated into the engines doesn't mean they can't also be available separately.

Share this post


Link to post
Share on other sites
Just now, blowfish said:

I could look into adding them back in as separate parts.  Just because they're integrated into the engines doesn't mean they can't also be available separately.

Thanks for considering it mate!

Share this post


Link to post
Share on other sites
7 hours ago, carss said:

Has it been updated for 1.3?

On 6/14/2017 at 5:31 PM, blowfish said:

Welcome to the forums!  There's nothing in B9 itself that needs to change, it's really the dependencies.  All of the dependencies have 1.3 releases, but RasterPropMonitor is still in beta so I haven't packaged up a real release yet.  But all the dependencies are listed in the OP of this thread, as well as links to get to them, so you can follow those and download the updated versions of each mod.

On 6/15/2017 at 11:13 AM, skeevy said:

Download and install the 1.3 versions of all the B9 dependencies listed in the first post (I used CKAN for this step)

Download the current 1.2.2 version manually. 

Open the B9 zip and copy only the B9_Aerospace into the KSP GameData directory.

That's it.  The same steps apply for the HX parts.

Share this post


Link to post
Share on other sites

Alright, that's awesome! I think some of the requirements i already have like module manager 2.8. Because recently I was having trouble with the OPT space plane parts as well, but simply added the parts file and updated the others, and it works.

Share this post


Link to post
Share on other sites
16 hours ago, TheRagingIrishman said:

 

Hey I tried looking for those requirements but can't find the exact ones. I downloaded the latest version and tried installing that but it doesn't work

Share this post


Link to post
Share on other sites
8 minutes ago, carss said:

Hey I tried looking for those requirements but can't find the exact ones. I downloaded the latest version and tried installing that but it doesn't work

All of the dependencies are listed in the OP with links.

Share this post


Link to post
Share on other sites

I have CKAN but not sure entirely how this works. I also scoured the whole OP of this thread and even looked at the older B9 thread, still can't find what the dependencies are :/ 

Share this post


Link to post
Share on other sites
4 hours ago, carss said:

I have CKAN but not sure entirely how this works. I also scoured the whole OP of this thread and even looked at the older B9 thread, still can't find what the dependencies are :/ 

Here's the relevant part of the OP you forgot to scour....it's in-between the Pictures and Credits sections....

Dependencies

Core Pack

Legacy Pack

Depends on the core pack and all of its dependencies (not included in the legacy pack download)

HX Pack

Share this post


Link to post
Share on other sites

for 1.3.0

i am sure that I had all dependencies installed, but the parts do not appear in game at all

Share this post


Link to post
Share on other sites
1 hour ago, METHU said:

for 1.3.0

i am sure that I had all dependencies installed, but the parts do not appear in game at all

Welcome to the forums!  To figure out what's going wrong, I will need to see KSP's log.  Instructions on where to find it and how to upload it are in the "how to get support" link in my signature.

Share this post


Link to post
Share on other sites

Ok, so here's what I've observed, I have added all of those B9 dependencies and the game works, but when I add the main B9 Aerospace file, the game crashes. Why is this happening?

 

Share this post


Link to post
Share on other sites
20 minutes ago, carss said:

Ok, so here's what I've observed, I have added all of those B9 dependencies and the game works, but when I add the main B9 Aerospace file, the game crashes. Why is this happening?

Probably because the B9 parts cause the code in one dependency to actually be used, causing it to crash.  I'm assuming you're on KSP 1.3?  Make sure all you dependencies are on the latest versions (note: all the dependencies included in the B9 download is out of date).  If that doesn't work I'll need to see your log as usual.

Share this post


Link to post
Share on other sites

If you like the Info Drive being added to each Command Module:
 

GameData\B9_Aerospace\B9_InfoDriveEmbedded.cfg

@PART[*]:NEEDS[B9_Aerospace]:HAS[@MODULE[ModuleCommand],!MODULE[FSinfoPopup]]:Final
{
    MODULE
    {
        name = FSinfoPopup
        textHeading = Craft Information
        textBody1 = 1 -
        textBody2 = 2 -
        textBody3 = 3 -
        textBody4 = 4 -
        textBody5 = 5 -
        textBody6 = 6 -
        textBody7 = 7 -
        textBody8 = 8 -
        textBody9 = 9 -
        textBody10 = 0 -
        textBody11 = Press [ o ] to toggle this window.
        showAtFlightStart = true
        hideAfterCountdown = true
        showOnEachFlightStart = true
        countDownDuration = 30
        toggleKey = o
    }
}

Attention:
There can only be one instance of the module FSinfoPopup on the craft.
 

See 4 posts below.

Edited by Gordon Dry

Share this post


Link to post
Share on other sites

Hmm. Sometimes the Info Drive can be opened in VAB but no being edited ...

Is this a known issue?

Edit:

see 3 posts below

Edited by Gordon Dry

Share this post


Link to post
Share on other sites

Sorry, to bother, but any idea when will HX part pack be updated to 1.3? installing 1.2.2 version causes my game to crash on load and i have quite a few ships with those nifty lights included in the pack:/

Share this post


Link to post
Share on other sites
28 minutes ago, Stikkychaos said:

Sorry, to bother, but any idea when will HX part pack be updated to 1.3? installing 1.2.2 version causes my game to crash on load and i have quite a few ships with those nifty lights included in the pack:/

It's all about the dependencies.  Everything is updated, but RasterPropMonitor is still a prerelease, so I haven't repackaged everything into a new release.  You can find links to all the dependencies in the OP where you will be able to download updated versions.

Note: this info is available higher up the page on this thread.  I would very much prefer that you read a page or two back to try and get it rather than me having to say the same thing to every person who comes here.

Share this post


Link to post
Share on other sites

Ok I found the culprit.

It's about the patch file I provided 4 posts above and the issue I mentioned below.

There can only be one instance of the module FSinfoPopup on the craft.

The patch adds it to every part that has a ModuleCommand in it.

The same issue would occur if a craft with an Info Drive part would dock to another one with the same part already attached to.

Unfortunately.

A solution would be a standalone mod that allows the FSInfoModule to be added multiple times but only would accept one instance which is added to the root part.
This instance should be named by the craft, so docking to another craft with its own instance would not create an issue.
Instead opening the Info popup should give the possibility to use arrows left and right of the instance name (craft name) to choose the craft's info screen.

Edited by Gordon Dry

Share this post


Link to post
Share on other sites
10 minutes ago, mindseyemodels said:

all your mods need updating

read the page you posted on and you will see how to use it in 1.3

Also, please don't go to 10 threads and say "update required". Us modders work for free because we enjoy it and we are nice enough to share our work with everyone. Saying something as rude as "update required" can and has made people quit kill their mods/quit modding completely. I get that you want your mods to be updated but you're doing it the wrong way. Take a minute or two, read the thread, see if the modder is still around, and then say something like "Hey I really love this mod, are you planning to update it to the newest ksp version?"

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.